<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE hibernate-reverse-engineering PUBLIC "-//Hibernate/Hibernate Reverse Engineering DTD 3.0//EN" "C:\Users\lucma\eclipse-workspace\rm-pgsql-example/src/main/resources/reveng/hibernate-reverse-engineering-3.0.dtd">
<hibernate-reverse-engineering>
    <schema-selection match-schema="example"/>
    <type-mapping>
        <sql-type hibernate-type="java.util.List" jdbc-type="ARRAY"/>
        <sql-type hibernate-type="java.lang.Long" jdbc-type="BIGINT"/>
        <sql-type hibernate-type="java.lang.Boolean" jdbc-type="BIT"/>
        <sql-type hibernate-type="java.lang.Boolean" jdbc-type="BOOLEAN"/>
        <sql-type hibernate-type="java.lang.String" jdbc-type="CHAR"/>
        <sql-type hibernate-type="java.lang.String" jdbc-type="CLOB"/>
        <sql-type hibernate-type="byte[]" jdbc-type="BLOB"/>
        <sql-type hibernate-type="java.util.Date" jdbc-type="DATE"/>
        <sql-type hibernate-type="java.math.BigDecimal" jdbc-type="DECIMAL"/>
        <sql-type hibernate-type="java.lang.Double" jdbc-type="DOUBLE"/>
        <sql-type hibernate-type="java.lang.Double" jdbc-type="FLOAT"/>
        <sql-type hibernate-type="java.lang.Integer" jdbc-type="INTEGER"/>
        <sql-type hibernate-type="java.lang.String" jdbc-type="LONGNVARCHAR"/>
        <sql-type hibernate-type="byte[]" jdbc-type="LONGVARBINARY"/>
        <sql-type hibernate-type="java.lang.String" jdbc-type="LONGVARCHAR"/>
        <sql-type hibernate-type="java.lang.Character" jdbc-type="NCHAR"/>
        <sql-type hibernate-type="java.lang.Character[]" jdbc-type="NCLOB"/>
        <sql-type hibernate-type="java.math.BigDecimal" jdbc-type="NUMERIC"/>
        <sql-type hibernate-type="java.lang.String" jdbc-type="NVARCHAR"/>
        <sql-type hibernate-type="java.lang.Float" jdbc-type="REAL"/>
        <sql-type hibernate-type="java.lang.Short" jdbc-type="SMALLINT"/>
        <sql-type hibernate-type="java.util.Date" jdbc-type="TIME"/>
        <sql-type hibernate-type="java.util.Date" jdbc-type="TIME_WITH_TIMEZONE"/>
        <sql-type hibernate-type="java.util.Date" jdbc-type="TIMESTAMP"/>
        <sql-type hibernate-type="java.util.Date" jdbc-type="TIMESTAMP_WITH_TIMEZONE"/>
        <sql-type hibernate-type="java.lang.Byte" jdbc-type="TINYINT"/>
        <sql-type hibernate-type="byte[]" jdbc-type="VARBINARY"/>
        <sql-type hibernate-type="java.lang.String" jdbc-type="VARCHAR"/>
        <sql-type hibernate-type="java.util.UUID" jdbc-type="OTHER"/>
    </type-mapping>
    <table name="ex_comment"/>
    <table name="ex_role"/>
    <table name="ex_usertype"/>
    <table name="ex_usertype_role"/>
    <table name="ex_user"/>
    <table name="ex_post"/>
</hibernate-reverse-engineering>
